package cn.estsh.i3plus.core.api.iservice.base;

import cn.estsh.i3plus.pojo.platform.bean.*;

import java.util.List;

/**
 * @Description : 用户服务
 * @Reference :
 * @Author : wei.peng
 * @Date : 2018-10-25 16:21
 * @Modify :
 **/
public interface ISysUserService {

    /**
     * 用户登录
     * @param loginName     登录名
     * @param password      登录密码
     * @param languageCode  界面语言
     * @return
     */
    SessionUser queryUserLogin(String loginName, String password, String languageCode);

    /**
     * 修改权限状态
     * @param id        修改权限状态
     * @param status    状态
     * @param user      当前会话用户
     * @return
     */
    void updateSysUserStatus(String id, int status, SessionUser user);

    /**
     * 修改用户信息
     * @param sysUser
     */
    void updateSysUser(SysUser sysUser) throws Exception;

    /**
     * 新增用户信息
     * @param sysUser 新增用户
     * @return
     */
    SysUser insertSysUser(SysUser sysUser)throws Exception;

    /**
     * 刷新 用户部门关系
     * @param sysUser
     * @param departmentId
     * @param user
     */
    void refreshRefUserDepartment(SysUser sysUser, String departmentId , SessionUser user);

    /**
     * 刷新用户角色关系
     * @param sysUser
     * @param roleIds
     * @param user
     */
    void refreshRefUserRole(SysUser sysUser, String[] roleIds , SessionUser user);

    /**
     * 刷新用户岗位信息
     * @param sysUser
     * @param positionId
     * @param user
     */
    void refreshRefUserPosition(SysUser sysUser, String positionId , SessionUser user);

    /**
     * 根据Key 删除数据
     * @param id
     * @return
     */
    void deleteSysUserById(String id);

    /**
     * 查询所有数据
     * @return
     */
    List<SysUser> list();

    /**
     * 根据id 数据
     * @param id
     * @return
     */
    SysUser getSysUserById(String id);

    /**
     * 获取用户详细信息
     * @param id
     * @return
     */
    SysUserInfo getSysUserInfoById(String id);

    /**
     * 根据登录名称 获取用户信息
     * @param loginName
     * @return
     */
    SysUser getSysUserByLoginName(String loginName);

    /**
     * 封装用户详细信息
     * @param user
     * @return
     */
    SysUser dealSysUserInfo(SysUser user);

}
