package cn.estsh.i3plus.core.apiservice.serviceimpl.busi;

import cn.estsh.i3plus.core.api.iservice.busi.ITaskTimeExpressionService;
import cn.estsh.i3plus.pojo.platform.bean.TaskTimeExpression;
import cn.estsh.i3plus.pojo.platform.repository.TaskTimeExpressionRepository;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Description : 定时任务时间表达式 业务逻辑实现
 * @Reference :
 * @Author : wei.peng
 * @Date : 2018-10-24 20:40
 * @Modify :
 **/
@Service
public class TaskTimeExpressionServiceImpl implements ITaskTimeExpressionService {

    public static final Logger LOGGER = LoggerFactory.getLogger(TaskTimeExpressionServiceImpl.class);

    @Autowired
    private TaskTimeExpressionRepository taskTimeRecordingRDao;

    @Override
    public void updateTaskTimeExpression(TaskTimeExpression taskTimeExpression) {
        LOGGER.info("定时任务时间表达式 Task_TIME_EXPRESSION :{}", taskTimeExpression);
        taskTimeRecordingRDao.update(taskTimeExpression);
    }

    @Override
    public void deleteTaskTimeExpressionById(String id) {
        LOGGER.info("定时任务时间表达式 Task_TIME_EXPRESSION :{}", id);
        taskTimeRecordingRDao.deleteById(Long.parseLong(id));
    }

    @Override
    public TaskTimeExpression insertTaskTimeExpression(TaskTimeExpression taskTimeExpression) {
        LOGGER.info("定时任务时间表达式 Task_TIME_EXPRESSION :{}", taskTimeExpression);
        return taskTimeRecordingRDao.insert(taskTimeExpression);
    }

    @Override
    public List<TaskTimeExpression> findTaskTimeExpressionAll() {
        LOGGER.info("定时任务时间表达式 Task_TIME_EXPRESSION find All");
        return taskTimeRecordingRDao.findAll();
    }

    @Override
    public TaskTimeExpression getTaskTimeExpressionById(String id) {
        LOGGER.info("定时任务时间表达式 Task_TIME_EXPRESSION :{}" ,id);
        return taskTimeRecordingRDao.getById(Long.parseLong(id));
    }
}
