package cn.estsh.i3plus.core.apiservice.serviceimpl.busi;

import cn.estsh.i3plus.core.api.iservice.busi.ITaskTimeRecordingService;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import cn.estsh.i3plus.pojo.platform.bean.SessionUser;
import cn.estsh.i3plus.pojo.platform.bean.TaskTimeRecording;
import cn.estsh.i3plus.pojo.platform.repository.TaskTimeRecordingRepository;
import cn.estsh.impp.framework.boot.exception.ImppExceptionBuilder;
import cn.estsh.impp.framework.boot.exception.ImppExceptionEnum;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Description : 定时任务执行记录业务接口实现
 * @Reference :
 * @Author : wei.peng
 * @Date : 2018-10-22 16:58:44.011
 * @Modify :
 **/
@Service
public class TaskTimeRecordingServiceImpl implements ITaskTimeRecordingService {

    public static final Logger LOGGER = LoggerFactory.getLogger(TaskTimeRecordingServiceImpl.class);

    @Autowired
    private TaskTimeRecordingRepository taskTimeRecordingRDao;

    @Override
    public void updateTaskTimeRecording(TaskTimeRecording taskTimeRecording) {
        LOGGER.info("定时任务执行记录 TASK_TIMED_RECORDING :{}", taskTimeRecording);
        taskTimeRecordingRDao.update(taskTimeRecording);
    }

    @Override
    public void deleteTaskTimeRecordingById(String id) {
        LOGGER.info("定时任务执行记录 TASK_TIMED_RECORDING Key:{}", id);
        taskTimeRecordingRDao.deleteById(Long.parseLong(id));
    }

    @Override
    public TaskTimeRecording insertTaskTimeRecording(TaskTimeRecording taskTimeRecording) {
        LOGGER.info("定时任务执行记录 TASK_TIMED_RECORDING :{}", taskTimeRecording);
        return taskTimeRecordingRDao.insert(taskTimeRecording);
    }

    @Override
    public List<TaskTimeRecording> findTaskTimeRecordingAll() {
        LOGGER.info("定时任务执行记录 TASK_TIMED_RECORDING find All");
        return taskTimeRecordingRDao.findAll();
    }

    @Override
    public TaskTimeRecording getTaskTimeRecordingById(String id) {
        LOGGER.info("定时任务执行记录 TASK_TIMED_RECORDING find id:{}", id);
        return taskTimeRecordingRDao.getOne(Long.parseLong(id));
    }
}
